Bug 1025762 - eap rhq server is inactive after upgrade
eap rhq server is inactive after upgrade
Status: CLOSED NOTABUG
Product: JBoss Operations Network
Classification: JBoss
Component: Upgrade (Show other bugs)
JON 3.2
x86_64 Linux
unspecified Severity high
: ER06
: JON 3.2.0
Assigned To: Thomas Segismont
Mike Foley
:
Depends On:
Blocks: 1012435
  Show dependency treegraph
 
Reported: 2013-11-01 09:34 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-05 11:40:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Armine Hovsepyan 2013-11-01 09:34:50 EDT
Description of problem:
eap rhq server is inactive after upgrade

Version-Release number of selected component (if applicable):
jon 3.2 er4

How reproducible:
always

Steps to Reproduce:
1. install and start jon 3.1.2 with server and agent on the same machine without installing additional plugins
2. stop jon 3.1.2 server and agent
3. upgrade 3.1.2 to 3.2 er4 
4. install EAP plugin pack
5. inventory EAP server  
6. Run "Install RHQ managemnet user" operation

Actual results:
After step 5 and 6: EAP server is discovered  as not EAP RHQ SERVER, but default EAP server and is not active -> http://d.pr/i/HnUm

Expected results:
After step 5: EAP server is inventoried as EAP RHQ SERVER and is active -> http://d.pr/i/GYfx

Additional info:

In jon 3.1.2 no plugin was installed -> http://d.pr/i/nqLi
upgraded 3.2 er4 version has eap plugin pack installed -> http://d.pr/i/vBX0 
with correct version -> http://d.pr/i/xSdY

Workaround is:
restart jon 3.2 (rhqctl restart) -> uninventory eap server -> inventory it back --- server becomes available (but still contains #1025753)
Comment 1 Thomas Segismont 2013-11-05 05:53:30 EST
This one is linked somehow with BZ1025753.

Can you please attach the JON3.2ER4 server log file?
Comment 2 Armine Hovsepyan 2013-11-05 11:40:47 EST
closing a not a bug.
The issue was reproducible only if after plugin upload agent update plugin operaiton was called without scanning uploaded plugins.
closing as not a bug.

Note You need to log in before you can comment on or make changes to this bug.